Welcome

Welcome to XPAntiSpy3.1

Please read the documentation carefully before using the program to avoid any problems.

Getting started - What is XPAntiSpy3? What else is required?

Running the program - Covers all aspects of running XPAntiSpy3

FAQ - Other frequently asked questions

Settings Reference - Complete reference of all possible settings

Visit the XPAntiSpy3 Homepage for the latest updates & infos!

This program is provided "as is". The author takes no responsibility for any errors or harmful effects.
Use this program at your own risk.

XPAntiSpy3 is © 2001 Chris Connell
Documentation written by 1001 Byte
Icon pixeled by pork

Windows® and Windows XP® are registered trademarks of Microsoft Corporation, Redmond USA
All other trademarks belong to their respective owners.

Last revised: 11/22/01 20:49


Getting started

What is XPAntiSpy3?

XPAntiSpy3 is the ultimate tool to increase your privacy on systems running Windows XP®. It removes all hidden and hard-to-find "phone home"-features built into Windows XP® automatically with just a few mouse clicks.

For a detailed list of all settings see Settings Reference. See also Frequently Asked Questions for more general questions.

System Requirements

XPAntiSpy3 runs on all computers with installed Windows XP®. There are no other special hard- or software requirements.
XPAntiSpy3 doesn't need to be installed on your system like other programs do. Simply extract the archive and double-click the icon to run the program.


Running the program

Important: Make sure you're logged in with an account having administrator privileges on your local system, else XPAntiSpy3 might be unable to access the registry correctly and/or perform several other tasks depending on your choice of items to change.

Double-click the program icon to start XPAntiSpy3. All possible settings are set to their recommended values upon start.

If you're unsure about what to enable/disable simply click "Start" to proceed. See Settings Reference for a complete list of all items and their meaning.

Check/uncheck the desired items to change the default settings, then click on "Start" to proceed with your custom settings.

  • If you checked "Remove MS-support user" (see here) you will be prompted with a window giving you detailed instructions how to perform this task manually.
  • If you checked "Uninstall MSN Messenger" (see here) the system will ask you to reboot. Don't reboot until XPAntiSpy has finished.

Upon completion XPAntiSpy3 will prompt you to check the system state to see which changes performed successfully (recommended).

Special menu

Check System State

This will check your system and show you the state of all items. The checkboxes will change to the following graphics:

This item has already been disabled on your system.

This item has not been disabled on your system yet but has been selected automatically for change.

Reset System State

This will restore all items to their initial values of a clean Windows XP® installation. Use this to undo ALL changes you previously did to your system with XPAntiSpy3.

NOTES:

(1) If you previously uninstalled MSN Messenger you need to reinstall it manually.

(2) If you previously removed MS-support user you need to recreate this account manually.

Choose Recommended Settings

Sets all items back to their recommended settings.

Enable Expert Settings

This will allow you to change the settings for all items marked with [image]. Only change these items if you're sure about their meaning!

Set Timeserver

This allows you to choose one of the two standard timeservers (time.windows.com or time.nist.gov) or add your own timeserver.

Help menu ('?')

Index

This will bring up this help. Make sure the helpfile is located in the same directory as the program.

About XPAntiSpy

Brings up the about box with a reference of all graphical symbols used.


FAQ

Q: Do I have to pay for this program?

A: Definately no! This program is and will be free of charge.

Q: Might XPAntiSpy3 render my system unstable?

A: As far as we know there have been no problems reported by users so far. If you happen to find a bug please report it.

Q: What do all these settings mean? Which ones should I choose?

A: All settings will be set to their recommended values upon start. Normally, you shouldn't have to change anything. See Settings Reference for a complete list of all items. Usually you might still want to choose if you want to remove MSN Messenger or not (see here).

Q: Do I have to run XPAntiSpy upon every boot?

A: No, running the program once is sufficient, though running it several times shouldn't have any harmful effects. If you had to repair/re-install your Windows XP® system we suggest you to run it again just to be sure.

Q: What happens if I apply a Service-Pack to my XP-installation?

A: Since there have been no SP's for Windows XP® so far, we can't tell you the possible effects or problems.

Q: Do I still have to use a firewall after running XPAntiSpy3?

A: We strongly encourage you to do so. There are several other commercial applications being known for their "phone-home" effects, there might also be some parts in Windows XP® this tool doesn't cover yet.

Q: Did you find out about all these settings in Windows XP® by yourself?

A: No, the "manual settings" have been posted in several boards. I just compiled all the tips into one program. A special thanks must go to the users of Cosmo Connor's Board.

Q: Who wrote this program and why?

A: Chris Connell, I just enjoy coding ;-)

Q: Does XPAntiSpy3 also run on WIN95/98/ME/NT/2000?

A: As the name suggests, it only runs under Windows XP®.


Settings Reference

Here you'll find a comprehensive list of all possible settings in XPAntiSpy3 for your reference. Click on the links to expand the items you're interested in.

MediaPlayer

Do not acquire licenses automatically

Turns off automatic acquiring of licenses.

Disable identification of player by websites

Turns off the automatic identification of your MediaPlayer by websites.

Disable automatic codec download
Disables automatic downloading of required codecs from the Microsoft-website.

Error reports

Disable error reports

Disables the automatically generated error reports sent to Microsoft.

Disable error reports for critical errors
Also disables automatically generated reports when critical errors occur.

Miscellaneous

Explorer: Turn off remotedesktop support

This will prevent other users from remotely connecting to your desktop (e.g. for assistance or debugging).

Don't synchronize with internet-time

Your computer's clock won't be synchronized with time-servers on the internet.

Set RegDone=1
Pretends the online registration has been done.

Remove MS-support user

This will remove the automatically created support-user account. This has to be done manually (see instruction screen coming up).

Delete Alexa registry entry
Alexa is a browser-addin which collects personal data about your surfing habits.

InternetExplorer 6

Disable automatic updates

Disables automatic updates for IE6 being downloaded from the Microsoft website.

Disable scheduled updates

Disables scheduled updates.

Disable integrated Windows authentification

Disables integrated Windows authentification.

Services

Disable error-report service

Disables the service for automatic error-reporting to Microsoft.

Disable auto-updates service

Disables the service for automatic download of updates.

Disable timeserver service

Disables the service for synchronizing your computer-clock with an internet time-server.

Disable task-scheduler service
Disables the service for scheduling tasks. Warning: Do not disable this service if you're unsure if other programs depend on it.

Microsoft Messenger (MSN)

You have to choose one of these three options (Default: No action).

No action

Don't change the settings for MSN-messenger.

Disable autostart

Disables MSN-messenger from starting upon every boot.

Uninstall completely
Uninstalls MSN-messenger completely. Do not reboot until XPAntiSpy3 has finished!

Regsvr32 DLL's

Regwizc.dll

Removes the registration wizard.

licdll.dll
Sorry, no documentation available.